import {Component, h, Prop} from '@stencil/core';
import {css} from 'emotion';

const createCss = (value: number) => {
  return css`
    > * + * {
      margin-top: ${value}rem;
      display: block;
    }
  `;
};

@Component({
  tag: 'hy-baseline',
  styleUrl: 'baseline.css',
  shadow: false
})
export class Baseline {
  /**
   * Top margin to be added to all but first element. Amount of rem:s
   */
  @Prop() margin: number = 1;
  render() {
    return (
      <div class={createCss(this.margin)}>
        <slot></slot>
      </div>
    );
  }
}
