import {newSpecPage} from '@stencil/core/testing';
import {HyBox} from '../hy-box';
const toRemValue = (val?: number) => {
  return typeof val === 'number' ? `${val}rem` : undefined;
};
describe('hy-box helpers', () => {
  it('toRemValue works', async () => {
    const val = toRemValue(1);
    expect(val).toBe('1rem');
    const undef = toRemValue(undefined);
    expect(undef).toBe(undefined);
  });
  it('renders correctly', async () => {
    const page = await newSpecPage({
      components: [HyBox],
      html: `<hy-box p='1,2,3'>Foo</hy-box>`,
    });

    expect(page.root).toMatchInlineSnapshot(`
      <hy-box class="css-11co27t" p="1,2,3">
        <!---->
        Foo
      </hy-box>
    `);
  });
});
