import {Component, ComponentInterface, Prop, h} from '@stencil/core';
import {KeyHighlightVariants} from '../../utils/utils';

@Component({
  tag: 'hy-key-highlight',
  styleUrl: 'hy-key-highlight.scss',
  shadow: true
})
export class HyKeyHighlight implements ComponentInterface {
  @Prop() variant: KeyHighlightVariants = KeyHighlightVariants.default;
  @Prop() heading: string;
  @Prop() description: string;

  render() {
    const classVariant = [this.variant, 'hy-key-highlight'].join(' ');

    return (
      <div class={classVariant}>
        <div class="hy-key-highlight__title__container">
          <div class="hy-key-highlight__title">{this.heading}</div>
          <div class="hy-key-highlight__overlay--container">
            <div class="hy-key-highlight__overlay">{this.heading}</div>
          </div>
        </div>
        <div class="hy-key-highlight__description">{this.description}</div>
      </div>
    );
  }
}
